org.eclipse.wst.jsdt.ui.text.java

## Interface IProblemLocation

    public interface IProblemLocation

Problem information for quick fix and quick assist processors.

Note: this interface is not intended to be implemented.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`ASTNode` `getCoveredNode(JavaScriptUnit astRoot)` Convenience method to evaluate the AST node covered by this problem.
`ASTNode` `getCoveringNode(JavaScriptUnit astRoot)` Convenience method to evaluate the AST node covering this problem.
`int` `getLength()` Returns the length of the problem.
`java.lang.String` `getMarkerType()` Returns the marker type of this problem.
`int` `getOffset()` Returns the start offset of the problem.
`java.lang.String[]` `getProblemArguments()` Returns the original arguments recorded into the problem.
`int` `getProblemId()` Returns the id of problem.
`boolean` `isError()` Returns if the problem has error severity.

### Method Detail

#### getOffset

    int getOffset()

Returns the start offset of the problem.

Returns:
  the start offset of the problem

#### getLength

    int getLength()

Returns the length of the problem.

Returns:
  the length of the problem

#### getMarkerType

    java.lang.String getMarkerType()

Returns the marker type of this problem.

Returns:
  The marker type of the problem.

#### getProblemId

    int getProblemId()

Returns the id of problem. Note that problem ids are defined per problem marker type. See `IProblem` for id definitions for problems of type `org.eclipse.wst.jsdt.core.problem` and `org.eclipse.wst.jsdt.core.task`.

Returns:
  The id of the problem.

#### getProblemArguments

    java.lang.String[] getProblemArguments()

Returns the original arguments recorded into the problem.

Returns:
  String[] Returns the problem arguments.

#### isError

    boolean isError()

Returns if the problem has error severity.

Returns:
  `true` if the problem has error severity

#### getCoveringNode

    ASTNode getCoveringNode(JavaScriptUnit astRoot)

Convenience method to evaluate the AST node covering this problem.

Parameters:
  `astRoot` - The root node of the current AST
Returns:
  Returns the node that covers the location of the problem

#### getCoveredNode

    ASTNode getCoveredNode(JavaScriptUnit astRoot)

Convenience method to evaluate the AST node covered by this problem.

Parameters:
  `astRoot` - The root node of the current AST
Returns:
  Returns the node that is covered by the location of the problem